Package org.eclipse.net4j.util.collection

# Class RoundRobinIterator<T>

java.lang.Object
org.eclipse.net4j.util.collection.RoundRobinIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

public class RoundRobinIterator<T> extends Object implements Iterator<T>

Since:
  3.9
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`RoundRobinIterator(Collection<T> collection)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`T`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### RoundRobinIterator

public RoundRobinIterator(Collection<T> collection)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

### next

public T next()

Specified by:
  `next` in interface `Iterator<T>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<T>`